# `evaltools` : a model evaluation Python package

----

The Python package `evaltools` is designed to assess surface atmosphere composition prediction
models regarding to in-situ observations. This package provides different tools to compute
model scores and plot them. It is used for evaluation of air quality models of Copernicus
Atmosphere Monitoring Service (CAMS).

The concept of `evaltools` is to compare observations (measured over time in fixed lat/lon
locations) to simulations (that can have a forecast horizon of several days) computed over
a period of several days. Therefore, it can be suited for other data types like AERONET
data, but will not manage data with a vertical component.

## Installation

Go to the package directory and execute
```
./install.sh
```

## Documentation

To compile html documentation, draw example chart by going to ./bin and execute
```
python chart_catalog.py
```
and then go to ./doc and execute
```
make html
```
To look at the documentation then open ./doc/\_build/html/index.html.

Sphinx and the "read the doc" theme may need to be install by
```
pip install sphinx
pip install sphinx_rtd_theme
```

## License

Copyright Météo France (2017 - 2019)

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL “http://www.cecill.info”.
